Page MenuHomePhabricator

Set barracuda InnoDB file format as the default configuration everywhere
Closed, ResolvedPublic

Description

Needed for compression; useful anyway.

Also enable innodb_strict_mode.

Event Timeline

jcrespo renamed this task from Set barracuda InnoDB file format as the deafault configuration everywhere to Set barracuda InnoDB file format as the default configuration everywhere.Nov 17 2016, 12:14 PM
jcrespo created this task.
jcrespo moved this task from Triage to Next on the DBA board.Nov 17 2016, 12:22 PM
jcrespo updated the task description. (Show Details)Dec 21 2016, 10:23 AM
Marostegui moved this task from Next to Backlog on the DBA board.May 5 2017, 9:40 AM

Change 394527 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] mariadb: Enable Barracuda on a few roles

https://gerrit.wikimedia.org/r/394527

Change 394527 merged by Marostegui:
[operations/puppet@production] mariadb: Enable Barracuda on a few roles

https://gerrit.wikimedia.org/r/394527

Change 394542 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] mariadb: Enable barracuda in some more hosts

https://gerrit.wikimedia.org/r/394542

I would say we leave the strict mode enablement for another time (T108255), as it requires a lot more coordination and complete the Barracuda enablement for this task.

Marostegui, you misunderstood. This task is about Innodb strict mode which is very safe and highly useful (not sql_mode strict all tables/transactional). Without innodb strict mode on, you could perform an alter, had a bad row format (or not have enabled barracuda), and perform the alter anyway without compression, wasting a lot of time. Innodb strict mode is a must for us dbas and no impact on production.

Oh, sorry, indeed. My mind was thinking about sql strict mode!

Oracle recommends enabling innodb_strict_mode when using ROW_FORMAT and KEY_BLOCK_SIZE clauses in CREATE TABLE, ALTER TABLE, and CREATE INDEX statements. When innodb_strict_mode is disabled, InnoDB ignores conflicting clauses and creates the table or index with only a warning in the message log. The resulting table might have different characteristics than intended, such as lack of compression support when attempting to create a compressed table. When innodb_strict_mode is enabled, such problems generate an immediate error and the table or index is not created.

Yep yep, I was just thinking about sql strict mode.
Sorry!

Change 394542 merged by Marostegui:
[operations/puppet@production] mariadb: Enable barracuda in some more hosts

https://gerrit.wikimedia.org/r/394542

Change 394994 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] mariadb: Enable barracuda on the last roles

https://gerrit.wikimedia.org/r/394994

Change 394994 merged by Marostegui:
[operations/puppet@production] mariadb: Enable barracuda on the last roles

https://gerrit.wikimedia.org/r/394994

Change 430875 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] dbstore.my.cnf: Enable innodb_strict_mode

https://gerrit.wikimedia.org/r/430875

Change 430875 merged by Marostegui:
[operations/puppet@production] dbstore_multiinstance.my.cnf: Enable innodb_strict_mode

https://gerrit.wikimedia.org/r/430875

Mentioned in SAL (#wikimedia-operations) [2018-05-04T10:55:48Z] <marostegui> Manually enable innodb_strict_mode just on dbstore2001:3315 - T150949

Marostegui triaged this task as Medium priority.
Marostegui moved this task from Backlog to In progress on the DBA board.

Change 430901 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] mariadb: Enable innodb_strict_mode on labs and misc

https://gerrit.wikimedia.org/r/430901

Change 430901 merged by Marostegui:
[operations/puppet@production] mariadb: Enable innodb_strict_mode on labs and misc

https://gerrit.wikimedia.org/r/430901

Mentioned in SAL (#wikimedia-operations) [2018-05-04T13:33:14Z] <marostegui> Manually enable innodb_strict_mode on labsdb1009 - T150949

Change 431540 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] mariadb: Enable innodb_strict on a few roles

https://gerrit.wikimedia.org/r/431540

Mentioned in SAL (#wikimedia-operations) [2018-05-07T09:41:42Z] <marostegui> Manually enable innodb_strict_mode on db1084 - T150949

Change 431540 merged by Marostegui:
[operations/puppet@production] mariadb: Enable innodb_strict on a few roles

https://gerrit.wikimedia.org/r/431540

Change 431572 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] wikitech.my.cnf: Enable innodb_strict_mode

https://gerrit.wikimedia.org/r/431572

Change 431572 merged by Marostegui:
[operations/puppet@production] wikitech.my.cnf: Enable innodb_strict_mode

https://gerrit.wikimedia.org/r/431572

Change 431715 had a related patch set uploaded (by Marostegui; owner: Marostegui):
[operations/puppet@production] mariadb: Enable innodb_strict_mode on the last two roles

https://gerrit.wikimedia.org/r/431715

Change 431715 merged by Marostegui:
[operations/puppet@production] mariadb: Enable innodb_strict_mode on the last two roles

https://gerrit.wikimedia.org/r/431715

Marostegui closed this task as Resolved.May 8 2018, 8:58 AM

innodb_strict_mode has been enabled on config everywhere. It will be picked up during restarts.
A few hosts were also changed manually (on the fly) to make sure nothing broke (one slave per section in eqiad), a labs host, an instance in a dbstore in codfw...
This can be considered resolved.

Change 436557 had a related patch set uploaded (by Jcrespo; owner: Jcrespo):
[operations/puppet@production] mariadb: Enable barracuda and large prefix index on m1 and m2, too

https://gerrit.wikimedia.org/r/436557

Change 436557 merged by Jcrespo:
[operations/puppet@production] mariadb: Enable barracuda and large prefix index on m1 and m2, too

https://gerrit.wikimedia.org/r/436557